import javax.imageio.ImageIO;
import java.io.File;
import java.io.IOException;
import java.awt.image.BufferedImage;

public class WriteImageFileExample {    

    public static void main( String[] args ) throws IOException{      
		
		/* Create new Image File Object */
		File origionalImage = new File("myImage.jpg");

		/* Read the image */
		BufferedImage bufferedImage = ImageIO.read(origionalImage);

		/* Creating an Instance for different Image types */
		File myJpegImage  = new File("myJpegImage.jpg");
		File myBmpImage = new File("myBmpImage.bmp");
		File myGifImage = new File("myGifImage.gif");
		File myPngImage = new File("myPngImage.png");


		/* Writing different images using write() method of ImageIO class that takes three parameters
		   Origional Image Buffer, type of image and new Image file which have to change */
		ImageIO.write(bufferedImage, "jpg", myJpegImage);
		ImageIO.write(bufferedImage, "bmp", myBmpImage);
		ImageIO.write(bufferedImage, "gif", myGifImage);
		ImageIO.write(bufferedImage, "png", myPngImage);       
    }
}